Main Page Widgets glibmm Namespaces Book

# Glib::Value< int > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value< int >:

[legend]
List of all members.

## Public Types
typedef int | CppType
typedef gint | CType
## Public Member Functions
void | set (int data)
int | get () const
## Static Public Member Functions
static GType | value_type () G_GNUC_CONST

### template<>
class Glib::Value< int >

## Member Typedef Documentation

typedef int Glib::Value<int>::CppType

typedef gint Glib::Value<int>::CType

## Member Function Documentation

static GType Glib::Value<int>::value_type | ( |  | ) | `[static]`

void Glib::Value<int>::set | ( | int | data | ) |

int Glib::Value<int>::get | ( |  | ) | const

The documentation for this class was generated from the following file:

- value_basictypes.h